Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owlapi.owllink.server
Class OWLlinkReasonerBridge.PairsIterator<O>

    java.lang.Object
      org.semanticweb.owlapi.owllink.server.OWLlinkReasonerBridge.PairsIterator<O>

All Implemented Interfaces:
  java.lang.Iterable<OWLlinkReasonerBridge.PairsIterator.Pair<O>>, java.util.Iterator<OWLlinkReasonerBridge.PairsIterator.Pair<O>>

Enclosing class:
  OWLlinkReasonerBridge

    public static final class OWLlinkReasonerBridge.PairsIterator<O>

extends java.lang.Object
implements java.util.Iterator<OWLlinkReasonerBridge.PairsIterator.Pair<O>>, java.lang.Iterable<OWLlinkReasonerBridge.PairsIterator.Pair<O>>

Nested Class Summary
`static class` | `OWLlinkReasonerBridge.PairsIterator.Pair<O>`

Constructor Summary
`OWLlinkReasonerBridge.PairsIterator(java.util.Set<O> elements)`

Method Summary
`boolean` | `hasNext()`
`java.util.Iterator<OWLlinkReasonerBridge.PairsIterator.Pair<O>>` | `iterator()`
`OWLlinkReasonerBridge.PairsIterator.Pair<O>` | `next()`
`void` | `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OWLlinkReasonerBridge.PairsIterator

    public OWLlinkReasonerBridge.PairsIterator(java.util.Set<O> elements)

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator<OWLlinkReasonerBridge.PairsIterator.Pair<O>>`

### next

    public OWLlinkReasonerBridge.PairsIterator.Pair<O> next()

  Specified by:
    `next` in interface `java.util.Iterator<OWLlinkReasonerBridge.PairsIterator.Pair<O>>`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator<OWLlinkReasonerBridge.PairsIterator.Pair<O>>`

### iterator

    public java.util.Iterator<OWLlinkReasonerBridge.PairsIterator.Pair<O>> iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable<OWLlinkReasonerBridge.PairsIterator.Pair<O>>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD